Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.871295
Category:Red Hat Local Security Checks
Title:RedHat Update for libXfont RHSA-2014:1870-01
Summary:The remote host is missing an update for the 'libXfont'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'libXfont'
package(s) announced via the referenced advisory.

Vulnerability Insight:
The libXfont packages provide the X.Org libXfont runtime library. X.Org is
an open source implementation of the X Window System.

A use-after-free flaw was found in the way libXfont processed certain font
files when attempting to add a new directory to the font path. A malicious,
local user could exploit this issue to potentially execute arbitrary code
with the privileges of the X.Org server. (CVE-2014-0209)

Multiple out-of-bounds write flaws were found in the way libXfont parsed
replies received from an X.org font server. A malicious X.org server could
cause an X client to crash or, possibly, execute arbitrary code with the
privileges of the X.Org server. (CVE-2014-0210, CVE-2014-0211)

Red Hat would like to thank the X.org project for reporting these issues.
Upstream acknowledges Ilja van Sprundel as the original reporter.

Users of libXfont should upgrade to these updated packages, which contain a
backported patch to resolve this issue. All running X.Org server instances
must be restarted for the update to take effect.

Affected Software/OS:
libXfont on Red Hat Enterprise Linux Desktop (v. 6),
Red Hat Enterprise Linux Server (v. 6),
Red Hat Enterprise Linux Server (v. 7),
Red Hat Enterprise Linux Workstation (v. 6)

Solution:
Please Install the Updated Packages.

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2014-0209
BugTraq ID: 67382
http://www.securityfocus.com/bid/67382
Bugtraq: 20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities (Google Search)
http://www.securityfocus.com/archive/1/534161/100/0/threaded
Debian Security Information: DSA-2927 (Google Search)
http://www.debian.org/security/2014/dsa-2927
http://seclists.org/fulldisclosure/2014/Dec/23
http://www.mandriva.com/security/advisories?name=MDVSA-2015:145
http://lists.x.org/archives/xorg-announce/2014-May/002431.html
RedHat Security Advisories: RHSA-2014:1893
http://rhn.redhat.com/errata/RHSA-2014-1893.html
http://secunia.com/advisories/59154
SuSE Security Announcement: openSUSE-SU-2014:0711 (Google Search)
http://lists.opensuse.org/opensuse-updates/2014-05/msg00073.html
http://www.ubuntu.com/usn/USN-2211-1
Common Vulnerability Exposure (CVE) ID: CVE-2014-0210
Common Vulnerability Exposure (CVE) ID: CVE-2014-0211
CopyrightCopyright (C) 2014 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.